<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@  taglib prefix="f" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv" %>
<%@ taglib uri="/WEB-INF/webenhance.tld" prefix="wae"%>

<cv:secureTag name="Survey" id="14">
	<c:set var="surveyEnabled" value="true" />
</cv:secureTag>



<div class="sechead dynamicDropDown vw-row">
<wae:out escapeXml="true">
	<c:if test="${(param.breadCrumbValues != null && param.breadCrumbValues != '')||(param.breadCrumbName != null && param.breadCrumbValue != null)}">
		<ul id='breadcrumbMain' class='breadcrumbMain vw-breadcrumbs vw-small vw-col-sm-12'>
		<c:choose>
			<c:when test="${param.breadCrumbName != null && param.breadCrumbValue != null}"> <%-- This was added for pages facing encoding issues of the breadcrumb name. The otherwise tackles the original comma seperated name:href list--%>
				<li class='smartlinkMain withSeparatorMain vw-breadcrumb-with-separator'><a class='smartLinkMain'  href='../${param.breadCrumbValue}'>${param.breadCrumbName}</a><svg xmlns="http://www.w3.org/2000/svg" width="5" height="8" viewBox="0 0 5 8" class="vw-breadcrumb-arrow hidden" focusable="false"><path d="M0,8V6L3,4,0,2V0L5,4Z"/></svg></li>
			</c:when>
			<c:otherwise>
				<c:set var="str" value='${param.breadCrumbValues}'/>
						<wae:out escapeXml="false">
							<c:forEach var="item" items="${fn:split(str, ',')}" varStatus = "loop">
								<c:set var="itemSubs" value="${fn:split(item, ':')}" />
									<li class='smartlinkMain withSeparatorMain vw-breadcrumb-with-separator'><a class='smartLinkMain'  href='../${itemSubs[1]}'>${itemSubs[0]}</a><svg xmlns="http://www.w3.org/2000/svg" width="5" height="8" viewBox="0 0 5 8" class="vw-breadcrumb-arrow hidden" focusable="false"><path d="M0,8V6L3,4,0,2V0L5,4Z"/></svg></li>
							</c:forEach>
						</wae:out>
			</c:otherwise>
		</c:choose>
		</ul>
		<br/>
	</c:if>
</wae:out>
	<c:if test="${param.changePage != null && param.changePage != ''}">
		<c:choose>
		<c:when test="${param.isCustomReports =='true'}">
			<ul id='breadcrumbMain' class='breadcrumbMain2 vw-breadcrumbs vw-small vw-col-sm-12 hideOnExportFriendly'>
		</c:when>
		<c:otherwise>
			<ul id='breadcrumbMain' class='breadcrumbMain vw-breadcrumbs vw-small vw-col-sm-12 hideOnExportFriendly'>
		</c:otherwise>
		</c:choose>

		<li class="secTitleClickable smartlinkMain withSeparatorMain vw-breadcrumb-with-separator">
			<a class="smartLinkMain" href="${pageContext.request.contextPath}/survey/reports/dashboard.jsp"></a><svg xmlns="http://www.w3.org/2000/svg" width="5" height="8" viewBox="0 0 5 8" class="vw-breadcrumb-arrow hidden" focusable="false"><path d="M0,8V6L3,4,0,2V0L5,4Z"/></svg>
		</li>
		<c:set var="ReportsLink" value="${pageContext.request.contextPath}/reports/index.jsp?page=Reports"/>
        <c:if test="${sessionScope.SurveySingleCommcellUser != null}">
        	<c:set var="ReportsLink" value="${pageContext.request.contextPath}/survey/reports/commcellmonitoring.jsp?commUniId=${sessionScope.SurveySingleCommcellUser}"/>
        </c:if>
				<c:choose>
					<c:when test="${param.customDashBoard != null && param.customDashBoard != '' && param.customDashBoard != 'undefined'}">
					<ul id='breadcrumbMain' class='breadcrumbMain vw-breadcrumbs vw-small vw-col-sm-12'>
						<li class='smartlinkMain withSeparatorMain vw-breadcrumb-with-separator'><a class='smartLinkMain'  href='${ReportsLink}'>Reports</a><svg xmlns="http://www.w3.org/2000/svg" width="5" height="8" viewBox="0 0 5 8" class="vw-breadcrumb-arrow hidden" focusable="false"><path d="M0,8V6L3,4,0,2V0L5,4Z"/></svg></li>
						<li class='smartLinkMain dashboardList repDropdown'>Dashboard</li>
						<span class="sprite icon-arrow-dropdown hideOnExportFriendly" alt="down"></span>
						<span class='dashboardTitle'></span>
					</ul>
					</c:when>
					<c:when test="${empty param.commUniId}">
						<li class='secTitleClickable smartlinkMain withSeparatorMain vw-breadcrumb-with-separator repDropdown repDropdownTitle'>
							<a class='smartLinkMain'  href='${ReportsLink}'>Reports</a>
							<span class="sprite icon-arrow-dropdown hideOnExportFriendly" alt="down"></span><svg xmlns="http://www.w3.org/2000/svg" width="5" height="8" viewBox="0 0 5 8" class="vw-breadcrumb-arrow hidden" focusable="false"><path d="M0,8V6L3,4,0,2V0L5,4Z"/></svg>
						</li>
					</c:when>
					<c:otherwise>
						<c:if test="${applicationScope.METRICS_INSTALLED eq 'true'}">
							<li class="secTitleClickable smartlinkMain withSeparatorMain vw-breadcrumb-with-separator">
								<a class="smartLinkMain" href="${pageContext.request.contextPath}/survey/reports/monitoringform.jsp">CommCells</a><svg xmlns="http://www.w3.org/2000/svg" width="5" height="8" viewBox="0 0 5 8" focusable="false"><path d="M5,4.5l-5,3V6.1L4,4,0,1.7V0.5l5,3v1Z"/></svg>
							</li>
						</c:if>
						<li class='secTitleClickable smartlinkMain withSeparatorMain vw-breadcrumb-with-separator repDropdown'>
							<a class='smartLinkMain'  href='${pageContext.request.contextPath}/survey/reports/commcellmonitoring.jsp?commUniId=${fn:escapeXml(param.commUniId)}'>Reports</a>
							<span class="sprite icon-arrow-dropdown hideOnExportFriendly" alt="down"></span><svg xmlns="http://www.w3.org/2000/svg" width="5" height="8" viewBox="0 0 5 8" class="vw-breadcrumb-arrow hidden" focusable="false"><path d="M0,8V6L3,4,0,2V0L5,4Z"/></svg>
						</li>
					</c:otherwise>
				</c:choose>
				<c:if test="${param.exportType == null || empty param.exportType}">
					<li>
						<%@ include file="pageSelection.jsp" %>
					</li>
				</c:if>
		<li><span class="custom-report-deployed-version"></span></li>
		<li><span class="custom-report-version"></span></li>
		</ul>
		<div id="generatedOnText" class="showOnExportFriendly rghtFloat clearfix reportView generatedOnSpan">
			<f:message key="GeneratedOn" /> <span id="generatedOnSpan"></span>
		</div>
	</c:if>
	<c:if test="${param.analyticsChangePage != null && param.analyticsChangePage != ''}">
		<ul id='breadcrumbMain' class='breadcrumbMain breadcrumbs vw-small vw-col-sm-12'>
			<li class='secTitleClickable smartlinkMain withSeparatorMain vw-breadcrumb-with-separator repDropdown'>
							<a class='smartLinkMain'  href='${pageContext.request.contextPath}/dcube.do'>Analytics</a>

						</li>
		</ul>
		<div id="generatedOnText" class="showOnExportFriendly rghtFloat clearfix reportView generatedOnSpan">
			<f:message key="GeneratedOn" /> <span id="generatedOnSpan"></span>
		</div>
	</c:if>
	<div id="headerLinks" class="hideOnExportFriendly wait vw-header-links">
				<ul>
					<!-- The hrefs change in some cases dynamically, but the defaults are set -->
					<c:forEach items="${paramValues.headerLinks}" var="hLink" varStatus="loop">
						<c:choose>
							<c:when test="${!loop.last}">
								<c:set var="clsAttr" value="rightMenu" />
							</c:when>
							<c:otherwise>
								<c:set var="clsAttr" value="nobar rightMenu" />
							</c:otherwise>
						</c:choose>
						<c:if test="${hLink == 'commcellUrl' }">
							<li class="${clsAttr}"><a id="commcellUrl" href="${pageContext.request.contextPath}/reports/index.jsp?page=Reports" >Reports</a></li>
						</c:if>
						<c:if test="${hLink == 'diagUrl' }">
							<li class="${clsAttr}"><a id="diagUrl" href="${pageContext.request.contextPath}/survey/reports/monitoringform.jsp" >CommCells</a></li>
						</c:if>
						<%-- ${!loop.last} --%>
					</c:forEach>
				</ul>
		</div>
	<c:choose>
		<c:when test="${param.changeSurvey != null && param.changeSurvey != ''}">
			<%@ include file="../survey/reports/surveyTitleDropDown.jsp" %>
		</c:when>
	</c:choose>


	<c:if test="${param.changeSurvey == null||param.changeSurvey==''||param.changeSurvey==false}">
		<c:choose>
		<c:when test="${param.LMHeader != null && param.LMHeader != ''}">
		<c:set var="urlForAppType" value="${pageContext.request.contextPath}/logMonitoring.do"/>
		<c:if test="${param.monitoringApp=='SYSTEM_MONITORING'}">
			<c:set var="urlForAppType" value="${pageContext.request.contextPath}/sysMonitoring.do"/>
		</c:if>
		<div class="col-sm-12">
			<div class="vw-inline-title-navigation clearfix">
				<div class="vw-page-title pull-left"><a href="${urlForAppType}?viewId=0" class="vw-title-link">${param.headerTitle}</a></div>
				<nav class="pull-left">
					<ul class="sectionmenu mainPageTabs nav vw-nav-underlined hidden-print pull-left" data-active="0">
						<fmt:bundle basename="localization.logMonitoringMessages">
							<li class="pageViews" data-viewId="1"><a href="${urlForAppType}?viewId=1"><fmt:message key="LM_Search_Page" /></a></li>
							<li class="pageViews" data-viewId="2"><a href="${urlForAppType}?viewId=2"><fmt:message key="LM_Upload_Page" /></a></li>
						    <li class="pageViews dropdown vw-contains-drop-down" data-viewId="5">
								<a href="${urlForAppType}?viewId=5" class="dropdown-toggle vw-drop-down-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><fmt:message key="LM_Dashboard_Page" /><span class="dashboardCurrentName vw-current-dashboard-name"></span> <span class="caret"></span></a>
								<ul id="dashboardList" class="sectionmenu-dropdown dashboardListForSM dropdown-menu vw-dropdown-menu vw-dashboard-menu-list" data-dashName="">
									<li class="activityMonitoringDash vw-dropdown-header vw-dropdown-submenu" data-dashName="Activity Monitoring"><a href="#" class="dropdown-toggle" aria-haspopup="true" aria-expanded="false"><strong class="vw-text"><fmt:message key="SM_ActivityMonitoring_Dashboard" /></strong></a><ul class="dropdown-menu vw-dropdown-menu"></ul></li>
									<li role="separator" class="divider hidden"></li>
									<li class="resourceMonitoringDash vw-dropdown-header vw-dropdown-submenu" data-dashName="Resource Monitoring"><a href="#" class="dropdown-toggle" aria-haspopup="true" aria-expanded="false"><strong class="vw-text"><fmt:message key="SM_ResourceMonitoring_Dashboard" /></strong></a><ul class="dropdown-menu vw-dropdown-menu"></ul></li>
								</ul>
							</li>
					 <li class="pageViews solutions dropdown vw-contains-drop-down" data-viewId="9">
						<a href="${urlForAppType}?viewId=9" class="dropdown-toggle vw-drop-down-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><fmt:message key="LM_Solutions_Page" /><span class="creCurrentDashboard vw-current-dashboard-name"></span>  <span class="caret"></span></a>
						<ul id="crDashboardList" class="cr-sectionmenu-dropdown dropdown-menu vw-dropdown-menu" data-dashName=""></ul>
					</li>
							<li class="pageViews dropdown vw-contains-drop-down">
								<a href="" class="dropdown-toggle vw-drop-down-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Manage <span class="caret"></span></a>
								<ul id="dropdown-menu" class="dropdown-menu vw-dropdown-menu vw-dropdown-menu-with-icons">
									<li data-viewId="3" class="pageViews"><a href="${urlForAppType}?viewId=3"><span class="vw-icon glyphicon glyphicon-bell"></span><span class="vw-text"><fmt:message key="LM_Alert_Page" /></span></a></li>
								    <li data-viewId="4" class="pageViews"><a href="${urlForAppType}?viewId=4"><span class="vw-icon glyphicon glyphicon-time"></span><span class="vw-text"><fmt:message key="LM_Schedules_Page" /></span></a></li>
									<li data-viewId="8" class="pageViews"><a href="${urlForAppType}?viewId=8"><span class="vw-icon glyphicon glyphicon-list"></span><span class="vw-text"><fmt:message key="LM_ListDashboards"/></span></a></li>
									<li data-viewId="6" class="pageViews"><a href="${urlForAppType}?viewId=6"><span class="vw-icon glyphicon glyphicon-import"></span><span class="vw-text"><fmt:message key="LM_ImportDashboard"/></span></a></li>
								    <li id="restoreToDefaultDashboard"><a><span class="vw-icon glyphicon glyphicon-erase"></span><span class="vw-text"><fmt:message key="LM_RESTORE_TO_DEFAULT_DASHBOARD"/></span></a></li>
									<li data-viewId="7" class="pageViews vw-start-hidden"><a href="${urlForAppType}?viewId=7"><span class="vw-icon glyphicon glyphicon-sort-by-attributes"></span><span class="vw-text"><fmt:message key="LM_ReIndexJobList_Page" /></span></a></li>
								</ul>
							</li>
					</ul>
					<div id="editModeLabel" class="vw-mode-title vw-start-hidden text-danger pull-left"><fmt:message key="EditMode_Label"/></div>
				</nav>
				<nav class="pull-right">
					<ul class="vw-btns-right-menu clearfix">
					</ul>
				</nav>
				</fmt:bundle>
			</div>
		</div>
		</c:when>
		<c:otherwise>
		</c:otherwise>
		</c:choose>
	</c:if>
<div class="vw-col-sm-12">
	<c:if test="${param.LMHeader == null || param.LMHeader == ''}">
	<div class="clrfloat"></div>
		<div id="secTitleDiv" class="clearfix">
			<span id="sectionTitle" class="sectiontitle vw-page-title vw-page-title_standalone">${param.headerTitle}
				<c:if test="${param.showDCSubTitle != null && param.showDCSubTitle != '' && param.showDCSubTitle != 'undefined' && param.showDCSubTitle=='true'}">
				<sup id="" class="dcSuperText ${fn:escapeXml(param.subTitleText)}">${fn:escapeXml(param.subTitleText)}</sup>
				</c:if>
			</span>
			<c:if test="${param.includeDCConfigOpts != null && param.includeDCConfigOpts != '' && param.includeDCConfigOpts != 'undefined' && param.includeDCConfigOpts=='true'}">
				<fmt:bundle basename="localization.DownloadCenterMessages">
					<div id="adminButtons" class="adminBtns">
							<div class="button-group">
								<a class="button configureDC" title='<fmt:message key="dc.configure.downloadcenter"/>'><span class='ico-cog configIcon'></span></a>
								<a href="createpackage.do?type=create"  class="button uploadPackage"  title='<fmt:message key="dc.add.download.information"/>'><span class='ico-out uploadIcon'></span></a>
								<a id="ManageCategorySubcategoryButton" class="button"  title='<fmt:message key="dc.manage.info"/>'><span class='ico-hammer-wrench'></span></a>
								<a class="button refreshPackage" title='<fmt:message key="dc.refresh.repo"/>'><span class='ico-refresh syncIcon'></span></a>
								<c:set var="selectedClass" value=""/>
								<c:if test="${param.showDeleted=='true'}">
									<c:set var="selectedClass" value="selectedClass"/>
								</c:if>
								<a class="button showDeletedItemsOnly ${selectedClass}" title='<fmt:message key="dc.deleted.items"/>'><span class='ico-trashcan trashIcon'></span></a>
							</div>
						</div>
				</fmt:bundle>
			</c:if>
				<c:if
					test="${param.showCommcellList =='true'}">
					<fmt:bundle basename="localization.CIReportsMessages">
						<div class=" form-group commcellListDiv">
						<label for="commcellList" class="col-sm-4 control-label" style="line-height: 25px;"><fmt:message key="fla.remote.commcell"/></label>
						<div class="col-sm-8">
						<select class="commcellList form-control">

						</select>
					</div>

					</div>
					</fmt:bundle>

				</c:if>
				<c:if test="${param.includeAnalyticsOpts==true}">
			<div class="analyticsEngineContainer form-group hidden">
				<label for="analyticsEngine" class="control-label engineLabel">Analytics Engine</label>
					<select id="analyticsEngine" class="form-control hidden">
						<option value="-1" >All </option>
					</select>
					<span id="singleAnalyticsEngine" class="hidden"></span>

			</div>
		</c:if>
		<c:if test="${param.secHeaderIncludes != null}">
			 <c:forEach items="${param.secHeaderIncludes}" var="jspFile">
				<c:if test="${!( fn:contains(jspFile, 'WEB-INF/') || fn:contains(jspFile, 'WEB-INF\\\\') )}">
					<jsp:include page="../summary/${jspFile}" flush="true" />
				</c:if>
			</c:forEach>
		</c:if>

	</div>

	<c:if test="${param.customReportsMode != null && param.customReportsMode != ''}">
		<c:if test="${cvConfig.isUseCREApiForSolr() eq 'true'}" >
			<div class="btn-group pull-right hideOnExportFriendly">
				<button class="btn dropdown-toggle endpoint-text">Data Cube</button>
    				<button class="btn dropdown-toggle" data-toggle="dropdown"> <span class="caret"></span></button>
				<ul class="dropdown-menu endpoint-dropdown">
					<li><a>Data Cube</a></li>
					<li><a>CRE</a></li>
				</ul>
			</div>
	</c:if>
</c:if>
	</c:if>

	<c:if test="${param.searchContext != null && param.searchContext != ''}">
		<c:if test="${param.hideSearchBox == 'false'}">
			<div class="searchli" id="searchbox">
				<div class="arrowWrap"><div class="arrowDown"></div>
			</div><input id="pgsearch" type="text" name="search" rel="${fn:escapeXml(param.searchContext)}"/><!--
			Do NOT remove this comment -suraj	 --><img class="deleteText" src="../common/img/cancel.png" alt="x">
			<c:if test="${requestScope.ADV_SEARCH_JSP != null && requestScope.ADV_SEARCH_JSP != ''}">
				<jsp:include page="../search/${requestScope.ADV_SEARCH_JSP}" />
			</c:if>
			</div>
		</c:if>
		<script nonce="${sessionScope.cspNonce}" >
			$('#pgsearch').keyup(function(e) {
				$('#pgsearch').removeClass("showSearch");
				$('#pgsearch').addClass("hideSearch");
				$('.deleteText').css('display', 'inline-block');
			});
			$('.deleteText').on("click", function(e) {
				$('#pgsearch').removeClass("hideSearch");
				$('#pgsearch').addClass("showSearch");
				$('.deleteText').css('display', 'none');
				$('#pgsearch').val("");
				$('.advSearchHolder .fileextension option[value=]').prop('selected', 'selected');
				$('.advSearchHolder .searchlanguage option[value=]').prop('selected', 'selected');
				// clear/reset all fields in search dropdown as well:
				 $('.field input').filter(':not(#advSearchBtn)').val("");
				$('.advSearchHolder .timeOptions option[value=]').prop('selected', 'selected');
				$(".advSearchHolder .timeRangeOptions").hide();
				$("#hasAtt").prop("checked", false);
				$("#size").val("");
			});
		</script>
	</c:if>


	<c:if test="${param.secHeadertopRightButtonHolder != null && param.secHeadertopRightButtonHolder == true}">
		<ul id="secHeadertopRightButtonHolder" class="secHeadertopRightButtonHolder rghtFloat hideOnExportFriendly">
		</ul>
	</c:if>
	<fmt:bundle basename="localization.ReportsMessages">
		<c:if test="${param.customReportsMode eq 'edit' || param.customReportsMode eq 'build'}">
			<div id="reportButton" class="reportActionButtons"> <span class="reportActionButtonLabel">File</span> <span class="sprite icon-arrow-dropdown"></span>
							<div id="reportActionMenu" class="actionMenu">
								<ul id="reportMenu">
									<li id="buildYourOwnReport"  class="actionMenuItem"><div class="actionMenuItemLabel"><span ><fmt:message key="CustomReport.New"/></span></div></li>
									<li id="deleteButton" data-reportid="${fn:escapeXml(param.reportId)}" class="actionMenuItem"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.Delete"/></span></div></li>
									<li id="shareButton" data-reportid="${fn:escapeXml(param.reportId)}" class="actionMenuItem"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.Security"/></span></div></li>
									<li id="saveAsButton"  data-reportid="${fn:escapeXml(param.reportId)}" class="actionMenuItem"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.Clone"/></span></div></li>
								</ul>
							</div>
			</div>


			<div id="actionsButton" class="reportActionButtons"> <span class="reportActionButtonLabel"><fmt:message key="CustomReport.Actions"/></span> <span class="sprite icon-arrow-dropdown"></span>
							<div id="moreActionMenu" class="actionMenu">
								<ul id="moreMenu">
									<li id="appStoreLink"  class="actionMenuItem"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.DownloadFromStore"/></span></div></li>
									 <li id="publishButton" class="actionMenuItem"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.Publish"/></span></div></li>
									 <c:if test="${ sessionScope.COMMUNITY_REPORTS_IS_SUPPORTED == true}">
										 <li id="publishToCloudButton" class="actionMenuItem"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.PublishToCloud"/></span></div></li>
									 </c:if>
									<li id="importReportButton"  class="actionMenuItem"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.ImportTemplate"/></span></div></li>
									<li id="exportReportButton"  class="actionMenuItem exportScript"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.ExportTemplate"/></span></div></li>
									<c:if test="${sessionScope.readmeExportEnabled}">
										<li id=exportReadMeButton  class="actionMenuItem exportReadme"><div class="actionMenuItemLabel"><span ><fmt:message key="CustomReport.ExportPreview"/></span></div></li>
									</c:if>
										<li id="settingsLink"  class="actionMenuItem"><div class="actionMenuItemLabel"><span><fmt:message key="reportmanager"/></span></div></li>
								</ul>
							</div>
			</div>
			<div id="saveButton" class="reportActionButtons" title="<fmt:message key="CustomReport.Save"/>"> <span class="reportActionButtonLabel"><fmt:message key="CustomReport.Save"/></span></div>
			<div id="deployButton" class="reportActionButtons" title="Deploy Report"> <span class="reportActionButtonLabel"><fmt:message key="CustomReport.Deploy"/></span></div>
<!-- 			<div id="previewButton" class="reportActionButtons sprite reports-builder-preview"> <span class="reportActionButtonLabel previewButtonLabel">Preview</span></div>	 -->
				<div id="previewButton" class="reportActionButtons" title="<fmt:message key="CustomReport.PreviewTooltip"/>">
				<div  class=" sprite reports-builder-preview">
				</div>
				<span id="previewButtonLabel" class="reportActionButtonLabel"><fmt:message key="CustomReport.Preview"/></span>
			</div>
			<div  id="refreshButton" class="reportActionButtons" >
				<div  class=" sprite icon-refresh">
				</div>
				<span id="previewButtonLabel" class="reportActionButtonLabel" title="<fmt:message key="CustomReport.RefreshComponents"/>"><fmt:message key="CustomReport.Refresh"/></span>
			</div>
			<div  id="openReportButton" class="reportActionButtons" title="<fmt:message key="CustomReport.OpenReportTooltip"/>">
				<div class="sprite reports-openreport"></div>
				<span id="openReportButtonLabel" class="reportActionButtonSpriteLabel"><fmt:message key="CustomReport.OpenReport"/></span>
			</div>

		</c:if>

		<c:if test="${param.customDashBoard != null && param.customDashBoard != '' && param.customDashBoard != 'undefined'}">
		<div id="crButtonPanel">
			<div id="reportButton" class="reportActionButtons">
				 <span class="reportActionButtonLabel">File</span> <span class="sprite icon-arrow-dropdown"></span>
					<div id="reportActionMenu" class="actionMenu">
						<ul id="reportMenu">
							<li id="addNewDashboard"  class="actionMenuItem"><div class="actionMenuItemLabel" title="New Dashboard"><span >New Dashboard</span></div></li>
							<li id="editDashboard"  class="actionMenuItem"><div class="actionMenuItemLabel"  title="Rename Dashboard"><span >Rename Dashboard</span></div></li>
							<li id="deleteDashboard" class="actionMenuItem"><div class="actionMenuItemLabel"  title="Delete Dashboard"><span>Delete</span></div></li>
							<!-- <li id="shareDashBoard" class="actionMenuItem"><div class="actionMenuItemLabel"  title="Share Dashboard"><span>Share</span></div></li> -->
						</ul>
					</div>
			</div>
			<div id="addNewReport" title="Add new report" class="reportActionButtons hideOnExportFriendly " ><span  class="reportActionButtonLabel" title="Add report to Dashboard">Add Report</span></div>
			</div>
	</c:if>
	<c:if test="${param.includeCROptions != null && param.includeCROptions == true}">
			<c:set var="linkClass" value="reportLinks"/>
			<c:if test="${param.viewCRReport != null && param.viewCRReport == true}">
				<c:set var="linkClass" value="noSearchReportLinks"/>
			</c:if>
			<c:if test="${param.noSearchReport != null && param.noSearchReport == true}">
				<c:set var="linkClass" value="noSearchReportLinks"/>
			</c:if>
			<c:if test="${param.classicReport != null && param.classicReport == true}">
				<c:set var="linkClass" value="classicReportLinks"/>
			</c:if>

			<div id="${linkClass}">
			<div id="reportButton" class="reportActionButtons hideOnExportFriendly" > <span class="reportActionButtonLabel"><fmt:message key="CustomReport.File"/></span> <span class="sprite icon-arrow-dropdown"></span>
				<div id="reportActionMenu" class="actionMenu hideOnExportFriendly">
					<ul id="reportMenu">
						<c:if test="${param.exportOptions != null && param.exportOptions != ''}">
							<li id="exportAsButton" class="actionMenuItem"><div class="actionMenuItemLabel"><div id="exportRightArrow"><span><fmt:message key="CustomReport.SaveAs"/></span></div></div>
								<ul id ="exportMenu">
									<li id="exportpdf"  class="actionMenuItem exportatserver"><div class=""><span class="imageSpan sprite icon-export-pdf"></span><span class="textSpan">PDF</span></div></li>
									<li id="exportCsv"  class="actionMenuItem exportatserver"><div class=""><span class="imageSpan sprite icon-export-csv"></span><span class="textSpan">CSV</span></div></li>
									<li id="exporthtml"  class="actionMenuItem exportatserver"><div class=""><span class="imageSpan sprite icon-export-html"></span><span class="textSpan">HTML</span></div></li>
								</ul>
							</li>
						</c:if>
						<!-- Print Option Deprecated -->
						<li id="exportSchedule"  class="actionMenuItem exportSchedule"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.Schedule"/></span></div></li>
						<c:if test="${param.viewCRReport != null && param.viewCRReport == true}">
						<cv:reportsTag name="CustomReports" id="8">
							<li id="shareButton" class="actionMenuItem"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.Security"/></span></div></li>
						</cv:reportsTag>
						</c:if>
						<li id="exportEmail"  class="actionMenuItem exportSchedule "><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.Email"/></span></div></li>
						<li id="downloadReports"  class="actionMenuItem downloadReports"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.DownloadReports"/></span></div></li>
						<cv:reportsTag name="CustomReports" id="8">
							<cv:reportsTag name="Reports.ManageReports" id="888">
				 			<c:if test="${param.viewCRReport != null && param.viewCRReport == true}">
				 				<li class="actionMenuItemSeparator"></li>
								<li id="editLink"  class="actionMenuItem"><div class="actionMenuItemLabel"><span ><fmt:message key="CustomReport.Edit"/></span></div></li>
								<li id="deleteButton" class="actionMenuItem"><div class="actionMenuItemLabel"><span><fmt:message key="CustomReport.Delete"/></span></div></li>
							</c:if>
							</cv:reportsTag>
						</cv:reportsTag>
					</ul>
				</div>
			</div>
			<c:if test="${param.showSettings != null || param.showSettings == 'true'}">
					<div  id="settingsButton" class="reportActionButtons hideOnExportFriendly"><span  class="reportActionButtonLabel"><fmt:message key="My_Settings" /></span>
					<span id="settingsArrowx" class="sprite icon-arrow-dropdown"></span>
					<jsp:include page="../settings/settings.jsp?${applicationScope.BUILD_TS}"></jsp:include>
					</div>
			</c:if>
			</div>
	</c:if>
	</fmt:bundle>

	<c:if test="${param.includeCrDescription != null && param.includeCrDescription == true}">
			<div class="clear-both"></div>
        	<div id="crdescription" class="crdescription"></div>

	</c:if>
	<c:if test="${requestScope.headerLinks != null}">
		<div class="headerLinks">
			<c:forEach var="item" items="${requestScope.headerLinks}"	varStatus="loop">
				<a href="${item[1] }">${item[0] }</a>
			</c:forEach>
		</div>
	</c:if>
	<ul id="headerRdpButton" class="exportto rghtFloat hidden">
		<a><li id="HEADER_RDP_VM" class="rdpli refresh add" title="<fmt:message key="vmDetails.rdp.tooltip" />"><span class="sprite icon-remote-desktop-large"></span> <fmt:message key="vmDetails.rdp.label" /></li></a>
	</ul>
	<c:if test="${param.refreshButton != null && param.refreshButton != '' && param.refreshButton}">
		<ul class="exportto rghtFloat">
			<li id="refreshContents" class="refresh add"><span class="sprite icon-refresh-large"></span> <fmt:message key="synchronize" /></li>
		</ul>
	</c:if>
	<div class="clrfloat"></div>
	</div>
</div>

