/*
 * Copyright 2013 Jeanfrancois Arcand
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * Atmosphere.js
 * https://github.com/Atmosphere/atmosphere-javascript
 * 
 * API reference
 * https://github.com/Atmosphere/atmosphere/wiki/jQuery.atmosphere.js-API
 * 
 * Highly inspired by 
 * - Portal by Donghwan Kim http://flowersinthesand.github.io/portal/
 */
(function(X,e){"function"===typeof define&&define.amd?define(e):X.atmosphere=e()})(this,function(){var X="2.1.5-javascript",e={},s=[],E=[],T=0,Y=Object.prototype.hasOwnProperty,e={onError:function(e){},onClose:function(e){},onOpen:function(e){},onReopen:function(e){},onMessage:function(e){},onReconnect:function(e,l){},onMessagePublished:function(e){},onTransportFailure:function(e,l){},onLocalMessage:function(e){},onFailureToReconnect:function(e,l){},onClientTimeout:function(e){},AtmosphereRequest:function(d){function l(b,
a){""===f.partialMessage&&"streaming"===a.transport&&b.responseText.length>a.maxStreamingLength&&(f.messages=[],a.reconnectingOnLength=!0,a.isReopen=!0,J(!0),g(),m(),F(b,a,a.pollingInterval))}function g(){if(c.enableProtocol&&!c.firstMessage){var b="X-Atmosphere-Transport=close&X-Atmosphere-tracking-id="+c.uuid;e.util.each(c.headers,function(a,h){var d=e.util.isFunction(h)?h.call(this,c,c,f):h;null!=d&&(b+="&"+encodeURIComponent(a)+"="+encodeURIComponent(d))});var a=c.url.replace(/([?&])_=[^&]*/,
b),a=a+(a===c.url?(/\?/.test(c.url)?"&":"?")+b:""),h=new e.AtmosphereRequest({connected:!1});h.attachHeadersAsQueryString=!1;h.dropHeaders=!0;h.url=a;h.contentType="text/plain";h.transport="polling";h.method="GET";h.data="";h.async=!1;na("",h)}}function k(){c.reconnectId&&(clearTimeout(c.reconnectId),delete c.reconnectId);c.reconnect=!1;I=!0;f.request=c;f.state="unsubscribe";f.responseBody="";f.status=408;f.partialMessage="";v();g();m()}function m(){f.partialMessage="";c.id&&clearTimeout(c.id);null!=
B&&(B.close(),B=null);null!=C&&(C.abort(),C=null);null!=L&&(L.abort(),L=null);null!=q&&(q.canSendMessage&&q.close(),q=null);null!=w&&(w.close(),w=null);null!=D&&(clearInterval(U),document.cookie=Z+"=; expires=Thu, 01 Jan 1970 00:00:00 GMT; path=/",D.signal("close",{reason:"",heir:I?(D.get("children")||[])[0]:y}),D.close());null!=t&&t.close()}function fa(b){m();$=!0;I=!1;z=0;B=L=w=q=null;c=e.util.extend(c,b);c.mrequest=c.reconnect;c.reconnect||(c.reconnect=!0)}function A(){if(c.shared){t=oa(c);if(null!=
t&&("debug"===c.logLevel&&e.util.debug("Storage service available. All communication will be local"),t.open(c)))return;"debug"===c.logLevel&&e.util.debug("No Storage service available.");t=null}c.firstMessage=0==T?!0:!1;c.isOpen=!1;c.ctime=e.util.now();0===c.uuid&&(c.uuid=T);f.closedByClientTimeout=!1;"websocket"!==c.transport&&"sse"!==c.transport?P(c):"websocket"===c.transport?null!=c.webSocketImpl||window.WebSocket||window.MozWebSocket?aa(!1):M("Websocket is not supported, using request.fallbackTransport ("+
c.fallbackTransport+")"):"sse"===c.transport&&(window.EventSource?p(!1):M("Server Side Events(SSE) is not supported, using request.fallbackTransport ("+c.fallbackTransport+")"))}function oa(b){function a(a,b){var c,h=a.length;for(c=0;c<h;c++)a[c]===b&&a.splice(c,1);return h!==a.length}function h(a){a=e.util.parseJSON(a);var h=a.data;if("c"===a.target)switch(a.type){case "open":r("opening","local",c);break;case "close":ba||(ba=!0,"aborted"===h.reason?k():h.heir===y?A():setTimeout(function(){A()},100));
break;case "message":N(h,"messageReceived",200,b.transport);break;case "localMessage":ga(h)}}function f(){var a=RegExp("(?:^|; )("+encodeURIComponent(l)+")=([^;]*)").exec(document.cookie);if(a)return e.util.parseJSON(decodeURIComponent(a[2]))}var d,K,ba,l="atmosphere-"+b.url,g={storage:function(){function c(a){a.key===l&&a.newValue&&h(a.newValue)}if(e.util.storage){var f=window.localStorage,d=function(a){return e.util.parseJSON(f.getItem(l+"-"+a))};return{init:function(){var a=d("children").concat([y]);
f.setItem(l+"-children",e.util.stringifyJSON(a));e.util.on(window,"storage",c);return d("opened")},signal:function(a,b){f.setItem(l,e.util.stringifyJSON({target:"p",type:a,data:b}))},close:function(){var h=d("children");e.util.off(window,"storage",c);h&&a(h,b.id)&&f.setItem(l+"-children",e.util.stringifyJSON(h))}}}},windowref:function(){var b=window.open("",l.replace(/\W/g,""));if(b&&!b.closed&&b.callbacks)return{init:function(){b.callbacks.push(h);b.children.push(y);return b.opened},signal:function(a,
c){!b.closed&&b.fire&&b.fire(e.util.stringifyJSON({target:"p",type:a,data:c}))},close:function(){ba||(a(b.callbacks,h),a(b.children,y))}}}};if((d=f())&&!(1E3<e.util.now()-d.ts)&&(K=g.storage()||g.windowref()))return{open:function(){var a;U=setInterval(function(){var a=d;(d=f())&&a.ts!==d.ts||h(e.util.stringifyJSON({target:"c",type:"close",data:{reason:"error",heir:a.heir}}))},1E3);(a=K.init())&&setTimeout(function(){r("opening","local",b)},50);return a},send:function(a){K.signal("send",a)},localSend:function(a){K.signal("localSend",
e.util.stringifyJSON({id:y,event:a}))},close:function(){I||(clearInterval(U),K.signal("close"),K.close())}}}function s(){function b(a){a=e.util.parseJSON(a);var b=a.data;if("p"===a.target)switch(a.type){case "send":ca(b);break;case "localSend":ga(b);break;case "close":k()}}function a(){document.cookie=Z+"="+encodeURIComponent(e.util.stringifyJSON({ts:e.util.now()+1,heir:(h.get("children")||[])[0]}))+"; path=/"}var h,f="atmosphere-"+c.url,d={storage:function(){function a(c){c.key===f&&c.newValue&&
b(c.newValue)}if(e.util.storage){var c=window.localStorage;return{init:function(){e.util.on(window,"storage",a)},signal:function(a,b){c.setItem(f,e.util.stringifyJSON({target:"c",type:a,data:b}))},get:function(a){return e.util.parseJSON(c.getItem(f+"-"+a))},set:function(a,b){c.setItem(f+"-"+a,e.util.stringifyJSON(b))},close:function(){e.util.off(window,"storage",a);c.removeItem(f);c.removeItem(f+"-opened");c.removeItem(f+"-children")}}}},windowref:function(){var a=f.replace(/\W/g,""),c=document.getElementById(a),
h;c||(c=document.createElement("div"),c.id=a,c.style.display="none",c.innerHTML='<iframe name="'+a+'" />',document.body.appendChild(c));h=c.firstChild.contentWindow;return{init:function(){h.callbacks=[b];h.fire=function(a){var b;for(b=0;b<h.callbacks.length;b++)h.callbacks[b](a)}},signal:function(a,b){!h.closed&&h.fire&&h.fire(e.util.stringifyJSON({target:"c",type:a,data:b}))},get:function(a){return h.closed?null:h[a]},set:function(a,b){h.closed||(h[a]=b)},close:function(){}}}};Q=function(a){h.signal("message",
a)};h=d.storage()||d.windowref();h.init();"debug"===c.logLevel&&e.util.debug("Installed StorageService "+h);h.set("children",[]);null==h.get("opened")||h.get("opened")||h.set("opened",!1);Z=encodeURIComponent(f);a();U=setInterval(a,1E3);D=h}function r(b,a,h){c.shared&&"local"!==a&&s();null!=D&&D.set("opened",!0);h.close=function(){k()};0<z&&"re-connecting"===b?(h.isReopen=!0,pa(f)):null==f.error&&(f.request=h,h=f.state,f.state=b,b=f.transport,f.transport=a,a=f.responseBody,v(),f.responseBody=a,f.state=
h,f.transport=b)}function ha(b){b.transport="jsonp";var a=c,h;null!=b&&"undefined"!==typeof b&&(a=b);C={open:function(){function d(){var c=a.url;null!=a.dispatchUrl&&(c+=a.dispatchUrl);var e=a.data;a.attachHeadersAsQueryString&&(c=O(a),""!==e&&(c+="&X-Atmosphere-Post-Body="+encodeURIComponent(e)),e="");e=document.head||document.getElementsByTagName("head")[0]||document.documentElement;h=document.createElement("script");h.src=c+"&jsonpTransport="+l;h.clean=function(){h.clean=h.onerror=h.onload=h.onreadystatechange=
null;h.parentNode&&h.parentNode.removeChild(h)};h.onload=h.onreadystatechange=function(){h.readyState&&!/loaded|complete/.test(h.readyState)||h.clean()};h.onerror=function(){h.clean();a.lastIndex=0;a.openId&&clearTimeout(a.openId);a.reconnect&&z++<a.maxReconnectOnClose?(r("re-connecting",a.transport,a),F(C,a,b.reconnectInterval),a.openId=setTimeout(function(){V(a)},a.reconnectInterval+1E3)):u(0,"maxReconnectOnClose reached")};e.insertBefore(h,e.firstChild)}var l="atmosphere"+ ++y;window[l]=function(b){if(a.reconnect)if(-1===
a.maxRequest||a.requestCount++<a.maxRequest){a.executeCallbackBeforeReconnect||F(C,a,a.pollingInterval);if(null!=b&&"string"!==typeof b)try{b=b.message}catch(h){}G(b,a,f)||N(f.responseBody,"messageReceived",200,a.transport);a.executeCallbackBeforeReconnect&&F(C,a,a.pollingInterval)}else e.util.log(c.logLevel,["JSONP reconnect maximum try reached "+c.requestCount]),u(0,"maxRequest reached")};setTimeout(function(){d()},50)},abort:function(){h&&h.clean&&h.clean()}};C.open()}function x(b){return null!=
c.webSocketImpl?c.webSocketImpl:window.WebSocket?new WebSocket(b):new MozWebSocket(b)}function p(b){f.transport="sse";var a=O(c);"debug"===c.logLevel&&(e.util.debug("Invoking executeSSE"),e.util.debug("Using URL: "+a));if(c.enableProtocol&&b){var h=e.util.now()-c.ctime;c.lastTimestamp=Number(c.stime)+Number(h)}if(b&&!c.reconnect)null!=w&&m();else{try{w=new EventSource(a,{withCredentials:c.withCredentials})}catch(d){u(0,d);M("SSE failed. Downgrading to fallback transport and resending");return}0<c.connectTimeout&&
(c.id=setTimeout(function(){b||m()},c.connectTimeout));w.onopen=function(a){H(c);"debug"===c.logLevel&&e.util.debug("SSE successfully opened");c.enableProtocol?c.isReopen&&(c.isReopen=!1,r("re-opening",c.transport,c)):b?r("re-opening","sse",c):r("opening","sse",c);b=!0;"POST"===c.method&&(f.state="messageReceived",w.send(c.data))};w.onmessage=function(a){H(c);!c.enableXDR&&a.origin&&a.origin!==window.location.protocol+"//"+window.location.host?e.util.log(c.logLevel,["Origin was not "+window.location.protocol+
"//"+window.location.host]):(f.state="messageReceived",f.status=200,a=a.data,G(a,c,f)||(v(),f.responseBody="",f.messages=[]))};w.onerror=function(a){clearTimeout(c.id);f.closedByClientTimeout||((J(b),m(),I)?e.util.log(c.logLevel,["SSE closed normally"]):b?c.reconnect&&"sse"===f.transport&&(z++<c.maxReconnectOnClose?(r("re-connecting",c.transport,c),0<c.reconnectInterval?c.reconnectId=setTimeout(function(){p(!0)},c.reconnectInterval):p(!0),f.responseBody="",f.messages=[]):(e.util.log(c.logLevel,["SSE reconnect maximum try reached "+
z]),u(0,"maxReconnectOnClose reached"))):M("SSE failed. Downgrading to fallback transport and resending"))}}}function aa(b){f.transport="websocket";if(c.enableProtocol&&b){var a=e.util.now()-c.ctime;c.lastTimestamp=Number(c.stime)+Number(a)}a=O(c,e.util.getAbsoluteURL(c.url)).replace(/^http/,"ws");"debug"===c.logLevel&&(e.util.debug("Invoking executeWebSocket"),e.util.debug("Using URL: "+a));if(b&&!c.reconnect)null!=q&&m();else if(q=x(a),null!=c.webSocketBinaryType&&(q.binaryType=c.webSocketBinaryType),
0<c.connectTimeout&&(c.id=setTimeout(function(){if(!b){q.onclose({code:1002,reason:"",wasClean:!1});try{m()}catch(a){}}},c.connectTimeout)),q.onopen=function(a){H(c);"debug"===c.logLevel&&e.util.debug("Websocket successfully opened");a=b;null!=q&&(q.canSendMessage=!0);c.enableProtocol||(b=!0,a?r("re-opening","websocket",c):r("opening","websocket",c));null!=q&&"POST"===c.method&&(f.state="messageReceived",q.send(c.data))},q.onmessage=function(a){H(c);c.enableProtocol&&(b=!0);f.state="messageReceived";
f.status=200;a=a.data;"string"===typeof a?G(a,c,f)||(v(),f.responseBody="",f.messages=[]):ia(c,a)&&(f.responseBody=a,v(),f.responseBody=null)},q.onerror=function(a){clearTimeout(c.id)},q.onclose=function(a){clearTimeout(c.id);if("closed"!==f.state){var d=a.reason;if(""===d)switch(a.code){case 1E3:d="Normal closure; the connection successfully completed whatever purpose for which it was created.";break;case 1001:d="The endpoint is going away, either because of a server failure or because the browser is navigating away from the page that opened the connection.";
break;case 1002:d="The endpoint is terminating the connection due to a protocol error.";break;case 1003:d="The connection is being terminated because the endpoint received data of a type it cannot accept (for example, a text-only endpoint received binary data).";break;case 1004:d="The endpoint is terminating the connection because a data frame was received that is too large.";break;case 1005:d="Unknown: no status code was provided even though one was expected.";break;case 1006:d="Connection was closed abnormally (that is, with no close frame being sent)."}"warn"===
c.logLevel&&(e.util.warn("Websocket closed, reason: "+d),e.util.warn("Websocket closed, wasClean: "+a.wasClean));f.closedByClientTimeout||((J(b),f.state="closed",I)?e.util.log(c.logLevel,["Websocket closed normally"]):b?c.reconnect&&"websocket"===f.transport&&(m(),z++<c.maxReconnectOnClose?(r("re-connecting",c.transport,c),0<c.reconnectInterval?c.reconnectId=setTimeout(function(){f.responseBody="";f.messages=[];aa(!0)},c.reconnectInterval):(f.responseBody="",f.messages=[],aa(!0))):(e.util.log(c.logLevel,
["Websocket reconnect maximum try reached "+c.requestCount]),"warn"===c.logLevel&&e.util.warn("Websocket error, reason: "+a.reason),u(0,"maxReconnectOnClose reached"))):M("Websocket failed. Downgrading to Comet and resending"))}},-1<navigator.userAgent.toLowerCase().indexOf("android")&&void 0===q.url)q.onclose({reason:"Android 4.1 does not support websockets.",wasClean:!1})}function ia(b,a){var c=!0;if("polling"===b.transport)return c;if(0!==e.util.trim(a).length&&b.enableProtocol&&b.firstMessage){b.firstMessage=
!1;var c=a.split(b.messageDelimiter),f=2===c.length?0:1;b.uuid=e.util.trim(c[f]);b.stime=e.util.trim(c[f+1]);c=!1;"long-polling"!==b.transport&&V(b);T=b.uuid}else b.enableProtocol&&b.firstMessage?c=!1:V(b);return c}function H(b){clearTimeout(b.id);0<b.timeout&&"polling"!==b.transport&&(b.id=setTimeout(function(){f.closedByClientTimeout=!0;f.state="closedByClient";f.responseBody="";f.status=408;f.messages=[];v();g();m()},b.timeout))}function u(b,a){m();clearTimeout(c.id);f.state="error";f.reasonPhrase=
a;f.responseBody="";f.status=b;f.messages=[];v()}function G(b,a,c){if(!ia(a,b)||0===b.length)return!0;if(a.trackMessageLength){b=c.partialMessage+b;for(var f=[],d=b.indexOf(a.messageDelimiter);-1!==d;){var l=e.util.trim(b.substring(0,d)),g=+l;if(isNaN(g))throw Error('message length "'+l+'" is not a number');d+=a.messageDelimiter.length;d+g>b.length?d=-1:(f.push(b.substring(d,d+g)),b=b.substring(d+g,b.length),d=b.indexOf(a.messageDelimiter))}c.partialMessage=b;if(0!==f.length)c.responseBody=f.join(a.messageDelimiter),
c.messages=f;else return c.responseBody="",c.messages=[],!0}else c.responseBody=b;return!1}function M(b){e.util.log(c.logLevel,[b]);if("undefined"!==typeof c.onTransportFailure)c.onTransportFailure(b,c);else if("undefined"!==typeof e.util.onTransportFailure)e.util.onTransportFailure(b,c);c.transport=c.fallbackTransport;b=-1===c.connectTimeout?0:c.connectTimeout;c.reconnect&&"none"!==c.transport||null==c.transport?(c.method=c.fallbackMethod,f.transport=c.fallbackTransport,c.fallbackTransport="none",
0<b?c.reconnectId=setTimeout(function(){A()},b):A()):u(500,"Unable to reconnect with fallback transport")}function O(b,a){var d=c;null!=b&&"undefined"!==typeof b&&(d=b);null==a&&(a=d.url);if(!d.attachHeadersAsQueryString||-1!==a.indexOf("X-Atmosphere-Framework"))return a;a+=-1!==a.indexOf("?")?"&":"?";a+="X-Atmosphere-tracking-id="+d.uuid;a+="&X-Atmosphere-Framework="+X;a+="&X-Atmosphere-Transport="+d.transport;d.trackMessageLength&&(a+="&X-Atmosphere-TrackMessageSize=true");a=null!=d.lastTimestamp?
a+("&X-Cache-Date="+d.lastTimestamp):a+"&X-Cache-Date=0";""!==d.contentType&&(a+="&Content-Type="+("websocket"===d.transport?d.contentType:encodeURIComponent(d.contentType)));d.enableProtocol&&(a+="&X-atmo-protocol=true");e.util.each(d.headers,function(c,l){var g=e.util.isFunction(l)?l.call(this,d,b,f):l;null!=g&&(a+="&"+encodeURIComponent(c)+"="+encodeURIComponent(g))});return a}function V(b){b.isOpen?b.isReopen&&(b.isReopen=!1,r("re-opening",b.transport,b)):(b.isOpen=!0,r("opening",b.transport,
b))}function P(b){var a=c;if(null!=b||"undefined"!==typeof b)a=b;a.lastIndex=0;a.readyState=0;if("jsonp"===a.transport||a.enableXDR&&e.util.checkCORSSupport())ha(a);else{if(e.util.browser.msie&&10>+e.util.browser.version.split(".")[0]){if("streaming"===a.transport){a.enableXDR&&window.XDomainRequest?R(a):S(a);return}if(a.enableXDR&&window.XDomainRequest){R(a);return}}var d=function(){a.lastIndex=0;a.reconnect&&z++<a.maxReconnectOnClose?(r("re-connecting",b.transport,b),F(n,a,b.reconnectInterval)):
u(0,"maxReconnectOnClose reached")};if(a.force||a.reconnect&&(-1===a.maxRequest||a.requestCount++<a.maxRequest)){a.force=!1;var n=e.util.xhr();n.hasData=!1;Y(n,a,!0);a.suspend&&(L=n);"polling"!==a.transport&&(f.transport=a.transport,n.onabort=function(){J(!0)},n.onerror=function(){f.error=!0;try{f.status=XMLHttpRequest.status}catch(a){f.status=500}f.status||(f.status=500);f.errorHandled||(m(),d())});n.onreadystatechange=function(){if(!I){f.error=null;var g=!1,k=!1;if("streaming"===a.transport&&2<
a.readyState&&4===n.readyState)a.reconnectingOnLength||(m(),d());else{a.readyState=n.readyState;"streaming"===a.transport&&3<=n.readyState?k=!0:"long-polling"===a.transport&&4===n.readyState&&(k=!0);H(c);if("polling"!==a.transport){var r=200;4===n.readyState&&(r=1E3<n.status?0:n.status);if(300<=r||0===r){f.errorHandled=!0;m();d();return}a.enableProtocol&&b.firstMessage||2!==n.readyState||V(a)}else 4===n.readyState&&(k=!0);if(k)if(k=n.responseText,0===e.util.trim(k).length&&"long-polling"===a.transport)n.hasData?
n.hasData=!1:F(n,a,a.pollingInterval);else{n.hasData=!0;da(n,c);if("streaming"===a.transport)if(e.util.browser.opera)e.util.iterate(function(){if(500!==f.status&&n.responseText.length>a.lastIndex){try{f.status=n.status,f.headers=e.util.parseHeaders(n.getAllResponseHeaders()),da(n,c)}catch(b){f.status=404}H(c);f.state="messageReceived";var d=n.responseText.substring(a.lastIndex);a.lastIndex=n.responseText.length;(g=G(d,a,f))||v();l(n,a)}else if(400<f.status)return a.lastIndex=n.responseText.length,
!1},0);else{if(r=k.substring(a.lastIndex,k.length),g=G(r,a,f),a.lastIndex=k.length,g)return}else g=G(k,a,f);try{f.status=n.status,f.headers=e.util.parseHeaders(n.getAllResponseHeaders()),da(n,a)}catch(p){f.status=404}f.state=a.suspend?0===f.status?"closed":"messageReceived":"messagePublished";(k="streaming"!==b.transport&&"polling"!==b.transport)&&!a.executeCallbackBeforeReconnect&&F(n,a,a.pollingInterval);0===f.responseBody.length||g||v();k&&a.executeCallbackBeforeReconnect&&F(n,a,a.pollingInterval);
l(n,a)}}}};try{n.send(a.data),$=!0}catch(g){e.util.log(a.logLevel,["Unable to connect to "+a.url]),u(0,g)}}else"debug"===a.logLevel&&e.util.log(a.logLevel,["Max re-connection reached."]),u(0,"maxRequest reached")}}function Y(b,a,d){var l=a.url;null!=a.dispatchUrl&&"POST"===a.method&&(l+=a.dispatchUrl);l=O(a,l);l=e.util.prepareURL(l);d&&(b.open(a.method,l,a.async),0<a.connectTimeout&&(a.id=setTimeout(function(){0===a.requestCount&&(m(),N("Connect timeout","closed",200,a.transport))},a.connectTimeout)));
c.withCredentials&&"withCredentials"in b&&(b.withCredentials=!0);c.dropHeaders||(b.setRequestHeader("X-Atmosphere-Framework",e.util.version),b.setRequestHeader("X-Atmosphere-Transport",a.transport),null!=a.lastTimestamp?b.setRequestHeader("X-Cache-Date",a.lastTimestamp):b.setRequestHeader("X-Cache-Date",0),a.trackMessageLength&&b.setRequestHeader("X-Atmosphere-TrackMessageSize","true"),b.setRequestHeader("X-Atmosphere-tracking-id",a.uuid),e.util.each(a.headers,function(c,l){var g=e.util.isFunction(l)?
l.call(this,b,a,d,f):l;null!=g&&b.setRequestHeader(c,g)}));""!==a.contentType&&b.setRequestHeader("Content-Type",a.contentType)}function F(b,a,d){if(a.reconnect||a.suspend&&$){var e=0;b&&1<b.readyState&&(e=1E3<b.status?0:b.status);f.status=0===e?204:e;f.reason=0===e?"Server resumed the connection or down.":"OK";clearTimeout(a.id);a.reconnectId&&(clearTimeout(a.reconnectId),delete a.reconnectId);0<d?c.reconnectId=setTimeout(function(){P(a)},d):P(a)}}function pa(b){b.state="re-connecting";ja(b)}function R(b){"polling"!==
b.transport?(B=ka(b),B.open()):ka(b).open()}function ka(b){var a=c;null!=b&&"undefined"!==typeof b&&(a=b);var d=a.transport,l=0,g=new window.XDomainRequest,k=function(){"long-polling"===a.transport&&a.reconnect&&(-1===a.maxRequest||a.requestCount++<a.maxRequest)&&(g.status=200,R(a))},p=a.rewriteURL||function(a){var b=/(?:^|;\s*)(JSESSIONID|PHPSESSID)=([^;]*)/.exec(document.cookie);switch(b&&b[1]){case "JSESSIONID":return a.replace(/;jsessionid=[^\?]*|(\?)|$/,";jsessionid="+b[2]+"$1");case "PHPSESSID":return a.replace(/\?PHPSESSID=[^&]*&?|\?|$/,
"?PHPSESSID="+b[2]+"&").replace(/&$/,"")}return a};g.onprogress=function(){clearTimeout(a.id);var b=g.responseText,b=b.substring(l);l+=b.length;if("polling"!==d){H(a);var c=G(b,a,f);if("long-polling"!==d||0!==e.util.trim(b).length)a.executeCallbackBeforeReconnect&&k(),c||N(f.responseBody,"messageReceived",200,d),a.executeCallbackBeforeReconnect||k()}};g.onerror=function(){"polling"!==a.transport&&(m(),z++<a.maxReconnectOnClose?0<a.reconnectInterval?a.reconnectId=setTimeout(function(){r("re-connecting",
b.transport,b);R(a)},a.reconnectInterval):(r("re-connecting",b.transport,b),R(a)):u(0,"maxReconnectOnClose reached"))};g.onload=function(){};return{open:function(){var b=a.url;null!=a.dispatchUrl&&(b+=a.dispatchUrl);b=O(a,b);g.open(a.method,p(b));"GET"===a.method?g.send():g.send(a.data);0<a.connectTimeout&&(a.id=setTimeout(function(){0===a.requestCount&&(m(),N("Connect timeout","closed",200,a.transport))},a.connectTimeout))},close:function(){g.abort()}}}function S(b){B=qa(b);B.open()}function qa(b){var a=
c;null!=b&&"undefined"!==typeof b&&(a=b);var d,l=new window.ActiveXObject("htmlfile");l.open();l.close();var g=a.url;null!=a.dispatchUrl&&(g+=a.dispatchUrl);"polling"!==a.transport&&(f.transport=a.transport);return{open:function(){var b=l.createElement("iframe");g=O(a);""!==a.data&&(g+="&X-Atmosphere-Post-Body="+encodeURIComponent(a.data));g=e.util.prepareURL(g);b.src=g;l.body.appendChild(b);var k=b.contentDocument||b.contentWindow.document;d=e.util.iterate(function(){try{if(k.firstChild){var b=k.body?
k.body.lastChild:k,g=function(){var a=b.cloneNode(!0);a.appendChild(k.createTextNode("."));a=a.innerText;return a=a.substring(0,a.length-1)};if(!k.body||!k.body.firstChild||"pre"!==k.body.firstChild.nodeName.toLowerCase()){var m=k.head||k.getElementsByTagName("head")[0]||k.documentElement||k,p=k.createElement("script");p.text="document.write('<plaintext>')";m.insertBefore(p,m.firstChild);m.removeChild(p);b=k.body.lastChild}a.closed&&(a.isReopen=!0);d=e.util.iterate(function(){var d=g();if(d.length>
a.lastIndex){H(c);f.status=200;f.error=null;b.innerText="";if(G(d,a,f))return"";N(f.responseBody,"messageReceived",200,a.transport)}a.lastIndex=0;if("complete"===k.readyState)return J(!0),r("re-connecting",a.transport,a),0<a.reconnectInterval?a.reconnectId=setTimeout(function(){S(a)},a.reconnectInterval):S(a),!1},null);return!1}}catch(A){return f.error=!0,r("re-connecting",a.transport,a),z++<a.maxReconnectOnClose?0<a.reconnectInterval?a.reconnectId=setTimeout(function(){S(a)},a.reconnectInterval):
S(a):u(0,"maxReconnectOnClose reached"),l.execCommand("Stop"),l.close(),!1}})},close:function(){d&&d();l.execCommand("Stop");J(!0)}}}function ca(b){null!=t?t.send(b):null!=L||null!=w?W(b):null!=B?c.enableXDR&&e.util.checkCORSSupport()?(b=ea(b),b.reconnect=!1,ha(b)):W(b):null!=C?W(b):null!=q?ra(b):(u(0,"No suspended connection available"),e.util.error("No suspended connection available. Make sure atmosphere.subscribe has been called and request.onOpen invoked before invoking this method"))}function na(b,
a){a||(a=ea(b));a.transport="polling";a.method="GET";a.async=!1;a.withCredentials=!1;a.reconnect=!1;a.force=!0;a.suspend=!1;a.timeout=1E3;P(a)}function W(b){b=ea(b);P(b)}function la(b){var a=b;"object"===typeof a&&(a=b.data);return a}function ea(b){var a=la(b),a={connected:!1,timeout:6E4,method:"POST",url:c.url,contentType:c.contentType,headers:c.headers,reconnect:!0,callback:null,data:a,suspend:!1,maxRequest:-1,logLevel:"info",requestCount:0,withCredentials:c.withCredentials,async:c.async,transport:"polling",
isOpen:!0,attachHeadersAsQueryString:!0,enableXDR:c.enableXDR,uuid:c.uuid,dispatchUrl:c.dispatchUrl,enableProtocol:!1,messageDelimiter:"|",maxReconnectOnClose:c.maxReconnectOnClose};"object"===typeof b&&(a=e.util.extend(a,b));return a}function ra(b){var a=e.util.isBinary(b)?b:la(b),d;try{d=null!=c.dispatchUrl?c.webSocketPathDelimiter+c.dispatchUrl+c.webSocketPathDelimiter+a:a,q.canSendMessage?q.send(d):e.util.error("WebSocket not connected.")}catch(f){q.onclose=function(a){},m(),M("Websocket failed. Downgrading to Comet and resending "+
b),W(b)}}function ga(b){b=e.util.parseJSON(b);if(b.id!==y)if("undefined"!==typeof c.onLocalMessage)c.onLocalMessage(b.event);else if("undefined"!==typeof e.util.onLocalMessage)e.util.onLocalMessage(b.event)}function N(b,a,c,d){f.responseBody=b;f.transport=d;f.status=c;f.state=a;v()}function da(b,a){if(a.readResponsesHeaders)try{var c=b.getResponseHeader("X-Cache-Date");c&&null!=c&&0<c.length&&(a.lastTimestamp=c.split(" ").pop());var d=b.getResponseHeader("X-Atmosphere-tracking-id");d&&null!=d&&(a.uuid=
d.split(" ").pop())}catch(f){}else a.enableProtocol||(a.lastTimestamp=e.util.now(),a.uuid=y)}function ja(b){ma(b,c);ma(b,e.util)}function ma(b,a){switch(b.state){case "messageReceived":z=0;if("undefined"!==typeof a.onMessage)a.onMessage(b);break;case "error":if("undefined"!==typeof a.onError)a.onError(b);break;case "opening":delete c.closed;if("undefined"!==typeof a.onOpen)a.onOpen(b);break;case "messagePublished":if("undefined"!==typeof a.onMessagePublished)a.onMessagePublished(b);break;case "re-connecting":if("undefined"!==
typeof a.onReconnect)a.onReconnect(c,b);break;case "closedByClient":if("undefined"!==typeof a.onClientTimeout)a.onClientTimeout(c);break;case "re-opening":delete c.closed;if("undefined"!==typeof a.onReopen)a.onReopen(c,b);break;case "fail-to-reconnect":if("undefined"!==typeof a.onFailureToReconnect)a.onFailureToReconnect(c,b);break;case "unsubscribe":case "closed":var d="undefined"!==typeof c.closed?c.closed:!1;if("undefined"!==typeof a.onClose&&!d)a.onClose(b);c.closed=!0}}function J(b){"closed"!==
f.state&&(f.state="closed",f.responseBody="",f.messages=[],f.status=b?200:501,v())}function v(){var b=function(a,b){b(f)};null==t&&null!=Q&&Q(f.responseBody);c.reconnect=c.mrequest;for(var a="string"===typeof f.responseBody,d=a&&c.trackMessageLength?0<f.messages.length?f.messages:[""]:Array(f.responseBody),l=0;l<d.length;l++)if(!(1<d.length&&0===d[l].length)&&(f.responseBody=a?e.util.trim(d[l]):d[l],null==t&&null!=Q&&Q(f.responseBody),0!==f.responseBody.length||"messageReceived"!==f.state)){ja(f);
if(0<E.length){"debug"===c.logLevel&&e.util.debug("Invoking "+E.length+" global callbacks: "+f.state);try{e.util.each(E,b)}catch(g){e.util.log(c.logLevel,["Callback exception"+g])}}if("function"===typeof c.callback){"debug"===c.logLevel&&e.util.debug("Invoking request callbacks");try{c.callback(f)}catch(k){e.util.log(c.logLevel,["Callback exception"+k])}}}}var c={timeout:3E5,method:"GET",headers:{},contentType:"",callback:null,url:"",data:"",suspend:!0,maxRequest:-1,reconnect:!0,maxStreamingLength:1E7,
lastIndex:0,logLevel:"info",requestCount:0,fallbackMethod:"GET",fallbackTransport:"streaming",transport:"long-polling",webSocketImpl:null,webSocketBinaryType:null,dispatchUrl:null,webSocketPathDelimiter:"@@",enableXDR:!1,rewriteURL:!1,attachHeadersAsQueryString:!0,executeCallbackBeforeReconnect:!1,readyState:0,lastTimestamp:0,withCredentials:!1,trackMessageLength:!1,messageDelimiter:"|",connectTimeout:-1,reconnectInterval:0,dropHeaders:!0,uuid:0,async:!0,shared:!1,readResponsesHeaders:!1,maxReconnectOnClose:5,
enableProtocol:!0,pollingInterval:0,onError:function(b){},onClose:function(b){},onOpen:function(b){},onMessage:function(b){},onReopen:function(b,a){},onReconnect:function(b,a){},onMessagePublished:function(b){},onTransportFailure:function(b,a){},onLocalMessage:function(b){},onFailureToReconnect:function(b,a){},onClientTimeout:function(b){}},f={status:200,reasonPhrase:"OK",responseBody:"",messages:[],headers:[],state:"messageReceived",transport:"polling",error:null,request:null,partialMessage:"",errorHandled:!1,
closedByClientTimeout:!1},q=null,w=null,L=null,B=null,C=null,$=!0,z=0,I=!1,Q=null,D,t=null,y=e.util.now(),U,Z;fa(d);this.subscribe=function(b){fa(b);A()};this.execute=function(){A()};this.close=function(){k()};this.disconnect=function(){g()};this.getUrl=function(){return c.url};this.push=function(b,a){if(null!=a){var d=c.dispatchUrl;c.dispatchUrl=a;ca(b);c.dispatchUrl=d}else ca(b)};this.getUUID=function(){return c.uuid};this.pushLocal=function(b){if(0!==b.length)try{t?t.localSend(b):D&&D.signal("localMessage",
e.util.stringifyJSON({id:y,event:b}))}catch(a){e.util.error(a)}};this.enableProtocol=function(b){return c.enableProtocol};this.request=c;this.response=f},subscribe:function(d,l,g){"function"===typeof l&&e.addCallback(l);T=0;"string"!==typeof d?g=d:g.url=d;d=new e.AtmosphereRequest(g);d.execute();return s[s.length]=d},unsubscribe:function(){if(0<s.length)for(var d=[].concat(s),e=0;e<d.length;e++){var g=d[e];g.close();clearTimeout(g.response.request.id)}s=[];E=[]},unsubscribeUrl:function(d){var e=-1;
if(0<s.length)for(var g=0;g<s.length;g++){var k=s[g];if(k.getUrl()===d){k.close();clearTimeout(k.response.request.id);e=g;break}}0<=e&&s.splice(e,1)},addCallback:function(d){-1===e.util.inArray(d,E)&&E.push(d)},removeCallback:function(d){d=e.util.inArray(d,E);-1!==d&&E.splice(d,1)},util:{browser:{},parseHeaders:function(d){for(var e,g=/^(.*?):[ \t]*([^\r\n]*)\r?$/mg,k={};e=g.exec(d);)k[e[1]]=e[2];return k},now:function(){return(new Date).getTime()},isArray:function(d){return"[object Array]"===Object.prototype.toString.call(d)},
inArray:function(d,e){if(!Array.prototype.indexOf){for(var g=e.length,k=0;k<g;++k)if(e[k]===d)return k;return-1}return e.indexOf(d)},isBinary:function(d){return/^\[object\s(?:Blob|ArrayBuffer|.+Array)\]$/.test(Object.prototype.toString.call(d))},isFunction:function(d){return"[object Function]"===Object.prototype.toString.call(d)},getAbsoluteURL:function(d){var e=document.createElement("div");e.innerHTML='<a href="'+d+'"/>';return encodeURI(decodeURI(e.firstChild.href))},prepareURL:function(d){var l=
e.util.now(),g=d.replace(/([?&])_=[^&]*/,"$1_="+l);return g+(g===d?(/\?/.test(d)?"&":"?")+"_="+l:"")},trim:function(d){return String.prototype.trim?d.toString().trim():d.toString().replace(/(?:(?:^|\n)\s+|\s+(?:$|\n))/g,"").replace(/\s+/g," ")},param:function(d){function l(d,g){g=e.util.isFunction(g)?g():null==g?"":g;m.push(encodeURIComponent(d)+"="+encodeURIComponent(g))}function g(d,k){var m;if(e.util.isArray(k))e.util.each(k,function(e,k){/\[\]$/.test(d)?l(d,k):g(d+"["+("object"===typeof k?e:"")+
"]",k)});else if("[object Object]"===Object.prototype.toString.call(k))for(m in k)g(d+"["+m+"]",k[m]);else l(d,k)}var k,m=[];for(k in d)g(k,d[k]);return m.join("&").replace(/%20/g,"+")},storage:function(){try{return!(!window.localStorage||!window.StorageEvent)}catch(d){return!1}},iterate:function(d,e){var g;e=e||0;(function m(){g=setTimeout(function(){!1!==d()&&m()},e)})();return function(){clearTimeout(g)}},each:function(d,l,g){if(d){var k,m=0,s=d.length;k=e.util.isArray(d);if(g)if(k)for(;m<s&&(k=
l.apply(d[m],g),!1!==k);m++);else for(m in d){if(k=l.apply(d[m],g),!1===k)break}else if(k)for(;m<s&&(k=l.call(d[m],m,d[m]),!1!==k);m++);else for(m in d)if(k=l.call(d[m],m,d[m]),!1===k)break;return d}},extend:function(d){var e,g,k;for(e=1;e<arguments.length;e++)if(null!=(g=arguments[e]))for(k in g)d[k]=g[k];return d},on:function(d,e,g){d.addEventListener?d.addEventListener(e,g,!1):d.attachEvent&&d.attachEvent("on"+e,g)},off:function(d,e,g){d.removeEventListener?d.removeEventListener(e,g,!1):d.detachEvent&&
d.detachEvent("on"+e,g)},log:function(d,e){if(window.console){var g=window.console[d];"function"===typeof g&&g.apply(window.console,e)}},warn:function(){e.util.log("warn",arguments)},info:function(){e.util.log("info",arguments)},debug:function(){e.util.log("debug",arguments)},error:function(){e.util.log("error",arguments)},xhr:function(){try{return new window.XMLHttpRequest}catch(d){try{return new window.ActiveXObject("Microsoft.XMLHTTP")}catch(e){}}},parseJSON:function(d){return d?window.JSON&&window.JSON.parse?
window.JSON.parse(d):(new Function("return "+d))():null},stringifyJSON:function(d){function e(d){return'"'+d.replace(k,function(d){var e=m[d];return"string"===typeof e?e:"\\u"+("0000"+d.charCodeAt(0).toString(16)).slice(-4)})+'"'}function g(d){return 10>d?"0"+d:d}var k=/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,m={"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"};return window.JSON&&window.JSON.stringify?
window.JSON.stringify(d):function A(d,k){var m,s,x,p=k[d];x=typeof p;p&&"object"===typeof p&&"function"===typeof p.toJSON&&(p=p.toJSON(d),x=typeof p);switch(x){case "string":return e(p);case "number":return isFinite(p)?String(p):"null";case "boolean":return String(p);case "object":if(!p)return"null";switch(Object.prototype.toString.call(p)){case "[object Date]":return isFinite(p.valueOf())?'"'+p.getUTCFullYear()+"-"+g(p.getUTCMonth()+1)+"-"+g(p.getUTCDate())+"T"+g(p.getUTCHours())+":"+g(p.getUTCMinutes())+
":"+g(p.getUTCSeconds())+'Z"':"null";case "[object Array]":s=p.length;x=[];for(m=0;m<s;m++)x.push(A(m,p)||"null");return"["+x.join(",")+"]";default:x=[];for(m in p)Y.call(p,m)&&(s=A(m,p))&&x.push(e(m)+":"+s);return"{"+x.join(",")+"}"}}}("",{"":d})},checkCORSSupport:function(){return e.util.browser.msie&&!window.XDomainRequest&&11>+e.util.browser.version.split(".")[0]||e.util.browser.opera&&12>+e.util.browser.version.split(".")||"KreaTVWebKit/531"===e.util.trim(navigator.userAgent).slice(0,16)||"kreatel"===
e.util.trim(navigator.userAgent).slice(-7).toLowerCase()?!0:-1<navigator.userAgent.toLowerCase().indexOf("android")?!0:!1}}};e.util.now();(function(){var d=navigator.userAgent.toLowerCase(),d=/(chrome)[ \/]([\w.]+)/.exec(d)||/(webkit)[ \/]([\w.]+)/.exec(d)||/(opera)(?:.*version|)[ \/]([\w.]+)/.exec(d)||/(msie) ([\w.]+)/.exec(d)||/(trident)(?:.*? rv:([\w.]+)|)/.exec(d)||0>d.indexOf("compatible")&&/(mozilla)(?:.*? rv:([\w.]+)|)/.exec(d)||[];e.util.browser[d[1]||""]=!0;e.util.browser.version=d[2]||"0";
e.util.browser.trident&&(e.util.browser.msie=!0);if(e.util.browser.msie||e.util.browser.mozilla&&1===+e.util.browser.version.split(".")[0])e.util.storage=!1})();e.util.on(window,"unload",function(d){e.unsubscribe()});e.util.on(window,"keypress",function(d){(27===d.charCode||27===d.keyCode)&&d.preventDefault&&d.preventDefault()});e.util.on(window,"offline",function(){e.unsubscribe()});return e});